<?php

if (get_field('hide_cart', 'option')) {
    //移除添加至购物车
    add_filter( 'woocommerce_is_purchasable', '__return_false');
    
    //移除可变产品的按钮
    function remove_loop_button(){
    remove_action( 'woocommerce_single_variation', 'woocommerce_single_variation', 10 );
    remove_action( 'woocommerce_single_variation', 'woocommerce_single_variation_add_to_cart_button', 20 );
    }
    add_action('init','remove_loop_button');
    
    //移除wc的价格
    add_filter( 'woocommerce_get_price_html', function( $price ) {
        return '';
    } );
    
    //增加可变产品无价格模式
    add_filter( 'woocommerce_hide_invisible_variations', '__return_false' );
    
    //移除sku
    add_filter( 'wc_product_sku_enabled', '__return_false' );
    
    //修改WC按键的类名，并去掉nofollow标签
    // function remove_rel( $args, $product ) {
    //     unset( $args['attributes']['rel'] );
    //     $args['class'] = 'elementor-button';
    //     return $args;
    // }
    // add_filter( 'woocommerce_loop_add_to_cart_args', 'remove_rel', 10, 2 );
}

if (get_field('disable_acf', 'option')) {
    //隐藏字段菜单
    add_filter( 'acf/settings/show_admin', '__return_false' );
}

//飞行模式
// function check_if_local_optimize_active() {
//     if ( !function_exists('wpdocs_dequeue_script') ) {
//     }    
// }
// add_action( 'plugins_loaded', 'check_if_local_optimize_active' );
if(get_field('airplane_mode', 'option')) {
    //Disable google map
    function wpdocs_dequeue_script() {
        wp_dequeue_script( 'uael-google-maps-api' );
        wp_dequeue_script( 'uael-google-maps' );
        wp_dequeue_script( 'uael-google-maps-cluster' );
        wp_dequeue_script( 'uael-google-login' );
        wp_dequeue_script( 'uael-google-recaptcha' );
        wp_dequeue_script( 'uael-video-subscribe' );
    }
    add_action( 'wp_print_scripts', 'wpdocs_dequeue_script', 100 );

    //Google service accelerate
    function guowen_cdn_callback($buffer) {
        $buffer = str_replace(array( "proxy.ustclug.org"), "proxy.ustclug.org", $buffer);
            return $buffer;
    }
    function guowen_buffer_start() {
        ob_start("guowen_cdn_callback");
    }
    function guowen_buffer_end() {
        ob_end_flush();
    }
    add_action('init', 'guowen_buffer_start');
    add_action('shutdown', 'guowen_buffer_end');

    //Gravatar accelerate
    // function guowen_cdn_avatar($avatar) {
    //     $avatar = str_replace(array( "gravatar.proxy.ustclug.org", "gravatar.proxy.ustclug.org","gravatar.proxy.ustclug.org", "gravatar.proxy.ustclug.org","gravatar.proxy.ustclug.org"), "gravatar.proxy.ustclug.org", $avatar);
    //     return $avatar;
    // }
    // function guowen_avatar_start() {
    //     ob_start("guowen_cdn_avatar");
    // }
    // function guowen_avatar_end() {
    //     ob_end_flush();
    // }
    // add_action('init', 'guowen_avatar_start');
    // add_action('shutdown', 'guowen_avatar_end');

    //Disable http request
    add_filter( 'pre_http_request', '__return_true', 100 );

    // Remove Gravatar
    function bp_remove_gravatar ($image, $params, $item_id, $avatar_dir, $css_id, $html_width, $html_height, $avatar_folder_url, $avatar_folder_dir) {
     
        $default = get_stylesheet_directory_uri() .'/images/avatar.jpg';
     
        if( $image && strpos( $image, "gravatar.com" ) ){ 
     
            return '<img src="' . $default . '" alt="avatar" class="avatar" ' . $html_width . $html_height . ' />';
        } else {
            return $image;
     
        }
     
    }
    add_filter('bp_core_fetch_avatar', 'bp_remove_gravatar', 1, 9 );
     
    function remove_gravatar ($avatar, $id_or_email, $size, $default, $alt) {
     
        $default = get_stylesheet_directory_uri() .'/images/avatar.jpg';
        return "<img alt='{$alt}' src='{$default}' class='avatar avatar-{$size} photo avatar-default' height='{$size}' width='{$size}' />";
    }
     
    add_filter('get_avatar', 'remove_gravatar', 1, 5);
     
    function bp_remove_signup_gravatar ($image) {
     
        $default = get_stylesheet_directory_uri() .'/images/avatar.png';
     
        if( $image && strpos( $image, "gravatar.com" ) ){ 
     
            return '<img src="' . $default . '" alt="avatar" class="avatar" width="60" height="60" />';
        } else {
            return $image;
        }
     
    }
    add_filter('bp_get_signup_avatar', 'bp_remove_signup_gravatar', 1, 1 );

}

if( get_field( 'elementor_optimize', 'option' ) ){
    //添加样式优化
    function collectiveray_load_stylesheet() {
        wp_enqueue_style( 'css-file', plugin_dir_url( __DIR__ ) . 'css/elementor.css', false,'1.1','all');
    }
    add_action('wp_enqueue_scripts', 'collectiveray_load_stylesheet');

    //获取可变产品的表单数据
    function elementor_get_variation(){
        wp_enqueue_script( 'get_variation', plugin_dir_url( __DIR__ ) . 'js/get_variation.js', array(), null, true);
    }
    add_action( 'woocommerce_after_single_product', 'elementor_get_variation');

    //锁定语言包
    // function load_custom_plugin_translation_file( $mofile, $domain ) {
    //   if ( 'elementor-pro' === $domain || 'elementor' === $domain ) {
    //     $mofile =  plugin_dir_path( __DIR__ ) . 'languages/' . $domain . '-' . get_locale() .'.mo';
    //   }
    //   return $mofile;
    // }
    // add_filter( 'load_textdomain_mofile', 'load_custom_plugin_translation_file', 10, 2 );
}

if( get_field( 'enable_minimize', 'option' ) ) {
    //启用精简模式
    // Remove WordPress menu from WP logo
    function wplogomenu_admin_bar_remove() {
        global $wp_admin_bar;
        $wp_admin_bar->remove_menu('wp-logo');
    }
    add_action( 'wp_before_admin_bar_render', 'wplogomenu_admin_bar_remove', 0 );

    // Hide Help tab
    function hide_help() {
        echo '<style type="text/css">#contextual-help-link-wrap { display: none !important; }</style>';
    }
    add_action( 'admin_head', 'hide_help' );

    // Remove Menu Items > Removes Tools and Users
    function remove_menus() {
        global $menu;
        $restricted = array(__('Tools'),__('Users'));
        end ($menu);
        while ( prev( $menu ) ) {
            $value = explode( ' ',$menu[key($menu)][0] );
            if( in_array( $value[0] != NULL ? $value[0] : '' , $restricted ) ) { 
                unset( $menu[key($menu)] );
            }
        }
    }
    add_action( 'admin_menu', 'remove_menus' );

    // Change Dashboard Footer Attribution
    function remove_footer_admin() {
        echo '';
    }
    add_filter( 'admin_footer_text', 'remove_footer_admin' );

    // Remove submenu theme and menu
    function remove_theme_submenu() {
        remove_menu_page('wp-user-avatar');
        remove_submenu_page('themes.php', 'themes.php');
        remove_submenu_page('themes.php', 'nav-menus.php');
        remove_submenu_page('options-general.php', 'options-writing.php');
        remove_submenu_page('options-general.php', 'options-discussion.php');
        remove_submenu_page('options-general.php', 'options-media.php');
        remove_submenu_page('elementor', 'edit.php?post_type=elementor_font');
        remove_submenu_page('elementor', 'edit.php?post_type=elementor_icons');
        remove_submenu_page('elementor', 'elementor-role-manager');
        remove_submenu_page('elementor', 'elementor-system-info');
        remove_submenu_page('elementor', 'elementor-getting-started');
        remove_submenu_page('elementor', 'go_knowledge_base_site');
    }
    add_action('admin_head', 'remove_theme_submenu' );

    //移除WC菜单栏中的多余选项
    function custom_menu_page_removing() {
        remove_submenu_page('woocommerce', 'wc-reports');
        remove_submenu_page('woocommerce', 'wc-status');
        remove_submenu_page('woocommerce', 'wc-addons');
        remove_submenu_page('woocommerce', 'wc-admin');
        remove_submenu_page('woocommerce', 'edit.php?post_type=shop_coupon');
        remove_submenu_page('woocommerce', 'edit.php?post_type=shop_order');
    }
    add_action('admin_menu', 'custom_menu_page_removing', 110);

    add_filter( 'woocommerce_admin_disabled', '__return_true' );

    //移除营销菜单
    add_filter( 'woocommerce_admin_features', function( $features ) {
	    return array_values(
	        array_filter( $features, function($feature) {
	            return $feature !== 'marketing';
	        } ) 
	    );
	} );
}

if( get_field( 'overlay_header', 'option' ) ){
    //添加透明页头
    function collectiveray_load_js_script() {
        if( is_front_page() ) {
            wp_enqueue_script( 'overlay_header', plugin_dir_url( __DIR__ ) . 'js/overlay_header.js', array(), null, true);
        }
    }
    add_action('wp_enqueue_scripts', 'collectiveray_load_js_script');
}